Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javazoom.download.util
Class Keys

    java.lang.Object
      javazoom.download.util.Keys

public class Keys
extends java.lang.Object

This class defines all consts.

Field Summary
`static java.lang.String[]` | `BLACKLIST` Characters blacklist for secured filename :
`static java.lang.String` | `CUSTOMPARAMETER` Parameter name for custom field : Default is custom
`static int` | `DATABASE`
`static java.lang.String` | `DBPASSWORD` DBPASSWORD key for database credentials properties : Default is password
`static java.lang.String` | `DBUSER` DBUSER key for database credentials properties : Default is user
`static java.lang.String` | `DEFAULTCONTENTDISPOSITION` Default content-disposition : ""
`static java.lang.String` | `DEFAULTCONTENTTYPE` Default content-type for unknown extensions : application/unknown
`static java.lang.String` | `DEFAULTFOLDERDOWNLOADROOT` Default DownloadRoot path (WEB-INF subfolder) : downloadroot
`static java.lang.String` | `DEFAULTIMPL` Default DownloadSource implementation for database.
`static java.lang.String` | `DEFAULTMIMESTYPE`
`static java.lang.String` | `DEFAULTZIPDOWNLOADROOT` Default ZIP archive (WEB-INF subfolder) : downloadroot.zip
`static java.lang.String` | `FILENAMEPARAMETER` Parameter name for download : Default is name
`static int` | `FOLDER`
`static java.lang.String` | `IDPARAMETER` Parameter id for download : Default is id
`static java.lang.String` | `LOGFILEDATEFORMAT` Default log file date format : -yyyy-MM-dd_HH-mm
`static java.lang.String` | `LOGFILEEXTENSION` Default log file extension : .log
`static java.lang.String` | `LOGFILENAME` Default log file prefix : download4j
`static java.lang.String` | `REALM` HTTP Realm name for Download4J, Default is Download4J Realm
`static boolean` | `SECUREFILENAME` Enables/Disables filename security : Default is true
`static int` | `UNKNOWN`
`static int` | `ZIP`
`static java.lang.String` | `ZIPCONTENTTYPE` Default content-type for zip files : application/zip

Constructor Summary
`Keys()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REALM

    public static java.lang.String REALM

  HTTP Realm name for Download4J, Default is Download4J Realm

### DEFAULTCONTENTTYPE

    public static java.lang.String DEFAULTCONTENTTYPE

  Default content-type for unknown extensions : application/unknown

### ZIPCONTENTTYPE

    public static java.lang.String ZIPCONTENTTYPE

  Default content-type for zip files : application/zip

### DEFAULTCONTENTDISPOSITION

    public static java.lang.String DEFAULTCONTENTDISPOSITION

  Default content-disposition : ""

### LOGFILENAME

    public static java.lang.String LOGFILENAME

  Default log file prefix : download4j

### LOGFILEEXTENSION

    public static java.lang.String LOGFILEEXTENSION

  Default log file extension : .log

### LOGFILEDATEFORMAT

    public static java.lang.String LOGFILEDATEFORMAT

  Default log file date format : -yyyy-MM-dd_HH-mm

### UNKNOWN

    public static int UNKNOWN

### FOLDER

    public static int FOLDER

### ZIP

    public static int ZIP

### DATABASE

    public static int DATABASE

### FILENAMEPARAMETER

    public static java.lang.String FILENAMEPARAMETER

  Parameter name for download : Default is name

### IDPARAMETER

    public static java.lang.String IDPARAMETER

  Parameter id for download : Default is id

### CUSTOMPARAMETER

    public static java.lang.String CUSTOMPARAMETER

  Parameter name for custom field : Default is custom

### SECUREFILENAME

    public static boolean SECUREFILENAME

  Enables/Disables filename security : Default is true

### BLACKLIST

    public static java.lang.String[] BLACKLIST

  Characters blacklist for secured filename :

### DEFAULTMIMESTYPE

    public static java.lang.String DEFAULTMIMESTYPE

### DEFAULTIMPL

    public static java.lang.String DEFAULTIMPL

  Default DownloadSource implementation for database. Default is javazoom.download.DownloadDatabaseSource

### DBUSER

    public static java.lang.String DBUSER

  DBUSER key for database credentials properties : Default is user

### DBPASSWORD

    public static java.lang.String DBPASSWORD

  DBPASSWORD key for database credentials properties : Default is password

### DEFAULTFOLDERDOWNLOADROOT

    public static java.lang.String DEFAULTFOLDERDOWNLOADROOT

  Default DownloadRoot path (WEB-INF subfolder) : downloadroot

### DEFAULTZIPDOWNLOADROOT

    public static java.lang.String DEFAULTZIPDOWNLOADROOT

  Default ZIP archive (WEB-INF subfolder) : downloadroot.zip

Constructor Detail

### Keys

    public Keys()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD